Subject: Re: Bison AND Flex for Windows NT
From: [email-masked] (Shane Caraveo)

14 Nov 1997 12:16:17 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7BIT
To: "Okan XX" <[email-masked]>, [email-masked]
X-Unparseable-Date: Fri, 14 Nov 1997 12:02:53 -05:0

> Hi;
> I have downloaded GNU-Win32 Flex and Bison and used them to create two C files and
> I tried to compile them on VC++ 5.0 , but these generated files are trying to include
> unistd.h which doesn't exist on Visual C++ and also I got several problems about
> unix. I tried to copy unistd.h and djtypes.h from Gnu-Win32 to VC, but this time
> I got some other problems. 
> 
> So do you know any way of moving these files to Visual 
> C++ ?
> 
> Thanks in Advance ...
> 
Check out the downhill project for starters.
ftp://ftp.netcom.com/pub/kn/knauss/downhill.html

Some other places for unix->win32 info would be to look at some 
ported software.  I'm currently working on php 3 port.  You can get 
that at www.lerdorf.on.ca  I use both flex and bison from the gnu set 
to generate the parser, then compile with vc++5

Also look at sources in:
apache 1.3b2 www.apache.org
msql 2 win32 by Dirk Ohme http://blnet.com/msqlpc/
cvs www.cyclic.com

Shane
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".